/* Copyright (c) 1990 by Steve Peltz */

/*	routines called by the PAD	*/

void	SetTTY();	/* set TTY mode */
void	SetPLATO();	/* set PLATO mode */
void	SendChar();	/* send a single character out the serial port */
void	TTYChar();	/* display a char in TTY mode */
void	CharLoad();	/* charnum, data */
void	MemLoad();	/* load program data */
padByte	MemRead();	/* read a byte of program memory */
void	Mode5();	/* user mode 5 */
void	Mode6();	/* user mode 6 */
void	Mode7();	/* user mode 7 */
void	Beep();		/* do a single beep */
void	ClearScreen();	/* erase the screen in current background color */
void	BlockDraw();	/* block fill/erase */
void	CharDraw();	/* plot a single character */
void	DotDraw();	/* plot a dot */
void	LineDraw();	/* plot a line */
void	ForeGround();	/* set foreground color */
void	BackGround();	/* set background color */
void	ExtAllow();	/* set external key allowed */
void	SetExtIn();	/* set external input device */
padByte	ExtIn();	/* return byte from external device */
void	SetExtOut();	/* set external output device */
void	ExtOut();	/* send byte to external device */
void	TouchAllow();	/* set touch active/inactive */

/*	configuration routines */

padWord	CharAddress();		/* charset offset (should be 0x3000) */
padByte	TermType();		/* return terminal type (should be 12) */
padByte	SubType();		/* current subtype */
padByte	LoadFile();		/* load file (should be 0) */
padByte	Configuration();	/* configuration (touch panel, etc.) */
padBool	SetFlowControl();	/* set flow control on/off */

/*	callable routines in the PAD	*/

void	InitPAD();	/* initialize all PAD variables */
void	InitTTY();	/* call to force PAD into TTY mode */
void	InitPLATO();	/* call to force PAD into PLATO mode */
void	ShowPLATO();	/* pass PAD received serial data */
void	Touch();	/* send a touch key to PLATO */
void	Ext();		/* send an external key */
void	Key();		/* send a 10-bit key */
