/*	routines called by the PAD	*/

void	SetTTY(void);			/* set TTY mode */
void	SetPLATO(void);			/* set PLATO mode */
void	SendChar(padByte);		/* send a single character out the serial port */
void	TTYChar(padByte);		/* display a char in TTY mode */
void	CharLoad(padWord, charData);	/* charnum, data */
void	MemLoad(padWord, padWord);	/* load program data */
padByte	MemRead(padWord);		/* read a byte of program memory */
void	Mode5(padWord);			/* user mode 5 */
void	Mode6(padWord);			/* user mode 6 */
void	Mode7(padWord);			/* user mode 7 */
void	Beep(void);			/* do a single beep */
void	ClearScreen(void);		/* erase the screen in current background color */
void	BlockDraw(padPt, padPt);	/* block fill/erase */
void	CharDraw(padPt, padByte[], int);/* plot characters */
void	DotDraw(padPt);			/* plot a dot */
void	LineDraw(padPt, padPt);		/* plot a line */
void	ForeGround(padRGB *);		/* set foreground color */
void	BackGround(padRGB *);		/* set background color */
void	ExtAllow(padBool);		/* set external key allowed */
void	SetExtIn(padWord);		/* set external input device */
padByte	ExtIn(void);			/* return byte from external device */
void	SetExtOut(padWord);		/* set external output device */
void	ExtOut(padByte);		/* send byte to external device */
void	TouchAllow(padBool);		/* set touch active/inactive */

/*	configuration routines */

padWord	CharAddress(void);		/* charset offset (should be 0x3000) */
padByte	TermType(void);			/* return terminal type (should be 12) */
padByte	SubType(void);			/* current subtype */
padByte	LoadFile(void);			/* load file (should be 0) */
padByte	Configuration(void);		/* configuration (touch panel, etc.) */
padBool	SetFlowControl(padBool);	/* set flow control on/off */

/*	callable routines in the PAD	*/

void	InitPAD(void);			/* initialize all PAD variables */
void	InitTTY(void);			/* call to force PAD into TTY mode */
void	InitPLATO(void);		/* call to force PAD into PLATO mode */
void	ShowPLATO(padByte *, short);	/* pass PAD received serial data */
void	Touch(padPt);			/* send a touch key to PLATO */
void	Ext(padByte);			/* send an external key */
void	Key(padWord);			/* send a 10-bit key */
